# PCApplyBAorABTranspose

Applies the transpose of the preconditioner and operator to a vector. That is, applies tr(B) * tr(A) with left preconditioning, not tr(B*A) = tr(A)*tr(B).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCApplyBAorABTranspose(PC pc,PCSide side,Vec x,Vec y,Vec work)

Collective on PC and Vec

### Input Parameters

| pc | - the preconditioner context
| side | - indicates the preconditioner side, one of PC_LEFT, PC_RIGHT, or PC_SYMMETRIC
| x | - input vector
| work | - work vector

### Output Parameter

y -output vector

### Keywords

PC, apply, operator, transpose

### See Also

PCApply(), PCApplyTranspose(), PCApplyBAorAB()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages